Developer Documentation

Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
OpenMesh::IO::_STLReader_ Class Reference

`#include <OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Core/IO/reader/STLReader.hh>`

Inheritance diagram for OpenMesh::IO::_STLReader_:

## Public Member Functions
virtual | ~_STLReader_ ()
| Destructor.
std::string | get_description () const override
| Returns a brief description of the file type that can be parsed.
std::string | get_extensions () const override
bool | read (const std::string &_filename, BaseImporter &_bi, Options &_opt) override
bool | read (std::istream &_in, BaseImporter &_bi, Options &_opt) override
void | set_epsilon (float _eps)
float | epsilon () const
| Returns the threshold to be used for considering two point to be equal.
Public Member Functions inherited from OpenMesh::IO::BaseReader
virtual | ~BaseReader ()
| Destructor.
virtual std::string | get_magic () const
| Return magic bits used to determine file format.
virtual bool | can_u_read (const std::string &_filename) const
| Returns true if writer can parse _filename (checks extension). _filename can also provide an extension without a name for a file e.g. _filename == "om" checks, if the reader can read the "om" extension. More...

## Private Types
enum | STL_Type { STLA, STLB, NONE }

## Private Member Functions
STL_Type | check_stl_type (const std::string &_filename) const
bool | read_stla (const std::string &_filename, BaseImporter &_bi, Options &_opt) const
bool | read_stla (std::istream &_in, BaseImporter &_bi, Options &_opt) const
bool | read_stlb (const std::string &_filename, BaseImporter &_bi, Options &_opt) const
bool | read_stlb (std::istream &_in, BaseImporter &_bi, Options &_opt) const

## Private Attributes
float | eps_

## Additional Inherited Members
Protected Member Functions inherited from OpenMesh::IO::BaseReader
bool | check_extension (const std::string &_fname, const std::string &_ext) const

## Detailed Description

Implementation of the STL format reader. This class is singleton'ed by SingletonT to STLReader.

Definition at line 84 of file STLReader.hh.

## Member Function Documentation

## ◆ get_extensions()

std::string OpenMesh::IO::_STLReader_::get_extensions | ( |  | ) | const
| inline override virtual

Returns a string with the accepted file extensions separated by a whitespace and in small caps.

Implements OpenMesh::IO::BaseReader.

Definition at line 97 of file STLReader.hh.

## ◆ read() [1/2]

bool OpenMesh::IO::_STLReader_::read | ( | const std::string & | _filename,
|  | BaseImporter & | _bi,
|  | Options & | _opt
| ) |  |
| override virtual

Reads a mesh given by a filename. Usually this method opens a stream and passes it to stream read method. Acceptance checks by filename extension can be placed here.

Options can be passed via _opt. After execution _opt contains the Options that were available

Implements OpenMesh::IO::BaseReader.

Definition at line 99 of file STLReader.cc.

## ◆ read() [2/2]

bool OpenMesh::IO::_STLReader_::read | ( | std::istream & | _is,
|  | BaseImporter & | _bi,
|  | Options & | _opt
| ) |  |
| override virtual

Reads a mesh given by a std::stream. This method usually uses the same stream reading method that read uses. Options can be passed via _opt. After execution _opt contains the Options that were available.

Please make sure that if _is is std::ifstream, the correct std::ios_base::openmode flags are set.

Implements OpenMesh::IO::BaseReader.

Definition at line 149 of file STLReader.cc.

## ◆ set_epsilon()

void OpenMesh::IO::_STLReader_::set_epsilon | ( | float | _eps | ) |
| inline

Set the threshold to be used for considering two point to be equal. Can be used to merge small gaps

Definition at line 109 of file STLReader.hh.

The documentation for this class was generated from the following files:

- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Core/IO/reader/STLReader.hh
- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Core/IO/reader/STLReader.cc